package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zjx
 */
@Getter
@AllArgsConstructor
public enum PlcPropertyEnum {

    one("1", "允许放料"),

    two("2", "请求入库"),

    three("3", "请求出库"),

    four("4", "入库完成"),

    five("5","请求接料"),

    six("6","入库任务ID"),

    seven("7","取料完成"),

    eight("8","放料完成"),

    nine("9","心跳检测"),

    ten("10","是否自动"),

    eleven("11","堆垛机出库点位"),

    twelve("12","堆垛机入库点位"),

    thirteen("13","出库台"),

    fourteen("14","入库台"),

    fifteen("15","入库库位"),

    sixteen("16","出库库位"),

    seventeen("17"," 入库SH位"),

    eighteen("18","出库SH位"),

    nineteen("19","堆垛机完成入库"),

    twenty("20","当前工作命令代码"),

    twentyone("21","请求入库任务号"),

    twentytwo("22","出库任务ID")
    ;

    private String value;
    private String desc;

}
